@echo off

If X%1 == Xhelp (
Echo makexpi [firefox] 
Echo where specifying firefox builds for Firefox 1.1.x and later.
Echo if no parameter is specified this will build 
Echo a Firefox version 1.0.x and earlier
Echo extension. 
goto end
)

REM the debug.txt file holds the output from all the commands. 
REM This keeps execution cleaner.
time /T >debug.txt

REM - Create the JAR file first. WinZip will add or create as necessary.

echo Refreshing the JAR file! >>debug.txt
REM This line is for versions of Firefox 1.0.x and earlier. 

If X%1 == Xfirefox (
   "%programfiles%\WinZip\wzzip" -a -r -P chrome\myextension.jarcontent\myextensionOverlay.js content\myextension-Overlay.xul >>debug.txt
) else (
   "%programfiles%\WinZip\wzzip" -a -r -P chrome\myextension.jar content >>debug.txt
)

REM - Build the XPI file
echo Refreshing the XPI file! >>debug.txt

If X%1 == Xfirefox (
"%programfiles%\WinZip\wzzip" -a -r -P MyExtension.xpi chrome\myextension.jar chrome.manifest 
install.rdf >>debug.txt
) else (
"%programfiles%\WinZip\wzzip" -a -r -P MyExtension.xpi chrome\myextension.jar install.rdf >>debug.txt
)

REM - Tell when this build was made

echo Desplaying the timestamp! >>debug.txt
Echo Generate time was
type time.txt

REM - Restore profile to clean version

echo Refreshing the Firefox profile! >>debug.txt

call clearprofile.bat

Rem bailout on help and errors label
:end
